Subject: [Gen-art] Gen-ART review of draft-ietf-clue-telepresence-requirements-06.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 21 Nov 2013 15:08:13 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at

<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-ietf-clue-telepresence-requirements-06.txt
Reviewer: Dan Romascanu
Review Date: 11/21/13
IETF LC End Date: 11/27/13
IESG Telechat date: (if known)

Summary: It's a good and well written document, almost ready, but a number of issues should be clarified before approval. 

Major issues:

1. The definitions of Left and Right in Section 3 use an entry article in Wikipedia ('Stage Directions'). I am both uncomfortable with the usage of Wikipedia articles (subject to change, subject to attacks) as references, and I also believe that the current definitions (@11/21/13, US morning hours) are ambiguous. Actually the Wikipedia article does not include definitions for Left and Right, and speaks about 'house left' (equal to 'stage right') and 'house right' (equal to 'stage left'). If another specification in CLUE will use the terms defined here it is not clear which one is meant. 

2. In REQMT-1d it is not clear what 'the extent of individual video captures' means

3. In REQMT-2d it is not clear what 'the extent of individual audio captures' means

4. REQMT-10: The solution MUST make it possible for endpoints without
              support for telepresence extensions to participate in a
              telepresence session with those that do.

More clarity is needed to explain what level of participation in a session (and what limitations) are expected from endpoints that do not support the telepresence extensions. I assume there are limitations, otherwise extensions would not be needed. 

5. REQMT-15 (last bullet): I could not really figure out what is meant here

*  There can be variation in placement, number and size of
                 presentations

6. REQMT-16:  The solution MUST include extensibility mechanisms.

What 'extensibility' is meant here? Extending the telepresence sessions, or extending the specifications for new functionality in the future? 

Minor issues:

1. If this is the first and basic document to be read by somebody who starts to browse through the CLUE specifications, it would be good to define or expand some place in the introduction what CLUE is. 

2. In the Introduction Section I see: 

>  These
   requirements are for the specification, they are not requirements on
   the telepresence systems implementing the solution/protocol that will
   be specified.

But then all requirements in section 5 start by 'The solution ...' which is ambiguous. It would be good to mention (again) in section 5 that by what is meant by the 'solution' is the definition of the protocol, not the implementation. 

3. I will defer to the Security Review to comment whether REQMT-18 is enough from a security point of view - especially as the information about media captures may include explicitly or implicitly details about equipment on each site, etc. To me it seems a little bit too vague. 

Regards,

Dan